#################################
The :mod:`gramps.gen.plug` Module
#################################

.. automodule:: gramps.gen.plug

Plugin
====================================
.. automodule:: gramps.gen.plug._plugin
   :members:
   :undoc-members:
   :show-inheritance:

BaseManager
====================================
.. automodule:: gramps.gen.plug._manager
   :members:
   :undoc-members:
   :show-inheritance:

Export
====================================
.. automodule:: gramps.gen.plug._export
   :members:
   :undoc-members:
   :show-inheritance:

Gramplet
====================================
.. automodule:: gramps.gen.plug._gramplet
   :members:
   :undoc-members:
   :show-inheritance:

Import
====================================
.. automodule:: gramps.gen.plug._import
   :members:
   :undoc-members:
   :show-inheritance:

Menu
====================================
.. automodule:: gramps.gen.plug.menu._menu
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._boolean
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._booleanlist
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._color
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._destination
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._enumeratedlist
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._family
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._filter
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._media
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._note
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._number
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._option
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._person
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._personlist
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._placelist
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._string
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._style
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._surnamecolor
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.menu._text
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Options
*****************************
.. automodule:: gramps.gen.plug._options
   :members:
   :undoc-members:
   :show-inheritance:

Reports
====================================
.. automodule:: gramps.gen.plug.report._options
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.report._bibliography
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.report._constants
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.report.endnotes
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.report._paper
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.report._reportbase
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.report.utils
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Docgen
*****************************
.. automodule:: gramps.gen.plug._docgenplugin
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Generators
*****************************
.. automodule:: gramps.gen.plug.docgen.basedoc
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.docgen.drawdoc
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.docgen.fontscale
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.docgen.fontstyle
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.docgen.graphdoc
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.docgen.graphicstyle
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.docgen.paperstyle
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.docgen.paragraphstyle
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.docgen.stylesheet
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.docgen.tablestyle
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.docgen.textdoc
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Doc Backend
*****************************
.. automodule:: gramps.gen.plug.docbackend.cairobackend
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.plug.docbackend.docbackend
   :members:
   :undoc-members:
   :show-inheritance:

Register
====================================
.. automodule:: gramps.gen.plug._pluginreg
   :members:
   :undoc-members:
   :show-inheritance:

Utils
====================================
.. automodule:: gramps.gen.plug.utils
   :members:
   :undoc-members:
   :show-inheritance:

